Subject: bug#70041: 30.0.50; mouse-autoselect-window causes unexpected scroll

From: Deric Bytes <[email-masked]>
Date: Thu, 28 Mar 2024 11:58:55 +0000

[Sorry if duplicate, just saw message in last email that I should reply to
All]

I have a reproducable example.

-  `mouse-autoselect-window' does not make a difference.
-  need a tilda in the address
- need to be in full screen

emacs -q -mm -l test.el

  (let ((shell-cmd "ls -la")
        (output-buffer "my-buf")
        (default-directory "/scpx:[email-masked]:~")
        (process-name "my-proc"))
    (start-file-process-shell-command
     process-name
     (get-buffer-create output-buffer)
     shell-cmd)
    (switch-to-buffer output-buffer)
    (with-current-buffer output-buffer
      (goto-char (point-min))
      (find-file-other-window "ooo")))

On Thu, 28 Mar 2024 at 11:50, Eli Zaretskii <[email-masked]> wrote:

> [Please use Reply All to reply, to keep the bug tracker CC'ed.]
>
> > From: Deric Bytes <[email-masked]>
> > Date: Thu, 28 Mar 2024 10:55:33 +0000
> >
> > Eli, I tried with your code and I could not reproduce it. I tried my
> code and could not reproduce it. I tried
> > restarting emacs -q multiple times and I got the problem again whilst
> tweaking but I can not create a case that
> > reproduces every time.
> >
> > I always get it in my main config but that contains so much code and the
> code was written when I was totally
> > clueless and has been causing me problems for ages. I am happy to build
> with something other than GTK and
> > see if that fixes my main emacs config. What do you recommend?
>
> Sorry, I don't know what to recommend.  You could try some other
> toolkit, like Lucid, or maybe no toolkit at all.
>
> Martin, any ideas for how to reproduce this, or maybe what could be
> the problem?
>